<?xml version="1.0" encoding="utf-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="generator" content="Docutils 0.6: http://docutils.sourceforge.net/" />
<title>Parallel BGL Concept Distributed Vertex List Graph</title>
<link rel="stylesheet" href="../../../../rst.css" type="text/css" />
</head>
<body>
<div class="document" id="logo-concept-distributed-vertex-list-graph">
<h1 class="title"><a class="reference external" href="http://www.osl.iu.edu/research/pbgl"><img align="middle" alt="Parallel BGL" class="align-middle" src="http://www.osl.iu.edu/research/pbgl/images/pbgl-logo.png" /></a> Concept Distributed Vertex List Graph</h1>

<!-- Copyright (C) 2004-2008 The Trustees of Indiana University.
Use, modification and distribution is subject to the Boost Software
License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at
http://www.boost.org/LICENSE_1_0.txt) -->
<div class="contents topic" id="contents">
<p class="topic-title first">Contents</p>
<ul class="simple">
<li><a class="reference internal" href="#description" id="id1">Description</a></li>
<li><a class="reference internal" href="#notation" id="id2">Notation</a></li>
<li><a class="reference internal" href="#refinement-of" id="id3">Refinement of</a></li>
<li><a class="reference internal" href="#associated-types" id="id4">Associated types</a></li>
<li><a class="reference internal" href="#valid-expressions" id="id5">Valid Expressions</a></li>
<li><a class="reference internal" href="#models" id="id6">Models</a></li>
</ul>
</div>
<div class="section" id="description">
<h1><a class="toc-backref" href="#id1">Description</a></h1>
<p>A Distributed Vertex List Graph is a graph whose vertices are
distributed across multiple processes or address spaces. The
<tt class="docutils literal"><span class="pre">vertices</span></tt> and <tt class="docutils literal"><span class="pre">num_vertices</span></tt> functions retain the same
signatures as in the <a class="reference external" href="http://www.boost.org/libs/graph/doc/VertexListGraph.html">Vertex List Graph</a> concept, but return only
the local set (and size of the local set) of vertices.</p>
</div>
<div class="section" id="notation">
<h1><a class="toc-backref" href="#id2">Notation</a></h1>
<dl class="docutils">
<dt>G</dt>
<dd>A type that models the Distributed Vertex List Graph concept.</dd>
<dt>g</dt>
<dd>An object of type <tt class="docutils literal"><span class="pre">G</span></tt>.</dd>
</dl>
</div>
<div class="section" id="refinement-of">
<h1><a class="toc-backref" href="#id3">Refinement of</a></h1>
<blockquote>
<ul class="simple">
<li><a class="reference external" href="http://www.boost.org/libs/graph/doc/Graph.html">Graph</a></li>
</ul>
</blockquote>
</div>
<div class="section" id="associated-types">
<h1><a class="toc-backref" href="#id4">Associated types</a></h1>
<table border="1" class="docutils">
<colgroup>
<col width="18%" />
<col width="44%" />
<col width="38%" />
</colgroup>
<tbody valign="top">
<tr><td>Vertex
descriptor type</td>
<td><tt class="docutils literal"><span class="pre">graph_traits&lt;G&gt;::vertex_descriptor</span></tt></td>
<td>Must model the
<a class="reference external" href="GlobalDescriptor.html">Global Descriptor</a> concept.</td>
</tr>
<tr><td>Vertex iterator
type</td>
<td><tt class="docutils literal"><span class="pre">graph_traits&lt;G&gt;::vertex_iterator</span></tt></td>
<td>Iterates over vertices stored
locally. The value type must be
<tt class="docutils literal"><span class="pre">vertex_descriptor</span></tt>.</td>
</tr>
<tr><td>Vertices size
type</td>
<td><tt class="docutils literal"><span class="pre">graph_traits&lt;G&gt;::vertices_size_type</span></tt></td>
<td>The unsigned integral type used
to store the number of vertices
in the local subgraph.</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="valid-expressions">
<h1><a class="toc-backref" href="#id5">Valid Expressions</a></h1>
<table border="1" class="docutils">
<colgroup>
<col width="17%" />
<col width="22%" />
<col width="23%" />
<col width="39%" />
</colgroup>
<thead valign="bottom">
<tr><th class="head">Name</th>
<th class="head">Expression</th>
<th class="head">Type</th>
<th class="head">Semantics</th>
</tr>
</thead>
<tbody valign="top">
<tr><td>Local vertex set</td>
<td><tt class="docutils literal"><span class="pre">vertices(g)</span></tt></td>
<td><tt class="docutils literal"><span class="pre">std::pair&lt;</span></tt>
<tt class="docutils literal"><span class="pre">vertex_iterator,</span></tt>
<tt class="docutils literal"><span class="pre">vertex_iterator&gt;</span></tt></td>
<td>Returns an iterator range
providing access to the local
vertices in the graph.</td>
</tr>
<tr><td>Number of local
vertices.</td>
<td><tt class="docutils literal"><span class="pre">num_vertices(g)</span></tt></td>
<td><tt class="docutils literal"><span class="pre">vertices_size_type</span></tt></td>
<td>Returns the number of vertices
stored locally in the graph.</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="models">
<h1><a class="toc-backref" href="#id6">Models</a></h1>
<blockquote>
<ul class="simple">
<li><a class="reference external" href="distributed_adjacency_list.html">Distributed adjacency list</a></li>
</ul>
</blockquote>
<hr class="docutils" />
<p>Copyright (C) 2005 The Trustees of Indiana University.</p>
<p>Authors: Douglas Gregor and Andrew Lumsdaine</p>
</div>
</div>
<div class="footer">
<hr class="footer" />
Generated on: 2009-04-11 17:09 UTC.
Generated by <a class="reference external" href="http://docutils.sourceforge.net/">Docutils</a> from <a class="reference external" href="http://docutils.sourceforge.net/rst.html">reStructuredText</a> source.

</div>
</body>
</html>
